Issue 19574

Summary: undo function has bugs with undoing changed font sizes
Product: Writer Reporter: lars <lars_o_hansen>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: ace_dent, issues
Version: OOo 1.1 RC4Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description lars 2003-09-14 23:02:45 UTC
(note for myself: hey: this one might even be around since SO6 beta, I remember 
sth. like this happening but I couldn't pinpoint it after it occured and I was 
just wondering that suddenly sth. was different but I didn't know exactly what, 
so lemme give it a P2: it's an UNDO defect !! (basic functionality not working 
correctly))


undo function has bugs with undoing changed font sizes:

- open Writer
- set font size to 44
- press some times Return
- write ghfhfdj
- put caret in a line before current line
- change font size to 20
- undo

you'll see the defect: font size changes to 12
Comment 1 jack.warchold 2003-09-15 17:35:25 UTC
confirmed this issue
but but this just occurs on an empty paragraph
set prio to P3
reassigned to jw
set OS to all
set status to new
set target to OOo later
Comment 2 jack.warchold 2003-09-22 10:31:06 UTC
reassigned to dvo

set prio to P4
Comment 3 openoffice 2003-09-22 10:39:22 UTC
dvo->hbrinkm: I could reproduce this, too. Please have a look at this.

I'm surprised that this only happens on empty paragraphs. I imagine
there's either different code-paths for empty paragraphs where they
there shouldn't be any, or it could be the core's attribute
optimization. Well, just guessing... I didn't look int it. :-)
Comment 4 ace_dent 2008-05-16 02:54:31 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 lars 2008-05-17 23:01:17 UTC
issue still valid as per OOo 3.0 Beta m2.
Comment 6 openoffice 2008-05-19 13:29:12 UTC
undo issues are now handled by ama
Comment 7 ace_dent 2008-05-19 14:52:13 UTC
Currently assigned to 'ams'... based on last comment I assume that's a typo so
reassigned to 'ama'. Cheers.